Page MenuHomePhabricator

PHP Notice: Undefined index: callback in includes/api/ApiFormatJson.php
Closed, ResolvedPublic

Description

2015-04-18 14:58:09 translatewiki.net translatewiki_net-bw_: [3c567d3f] /w/api.php?action=query&meta=siteinfo&siprop=namespaces&format=rawfm ErrorException from line 109 of /srv/mediawiki/tags/2015-04-18_08:46:07/includes/api/ApiFormatJson.php: PHP Notice: Undefined index: callback
#0 /srv/mediawiki/tags/2015-04-18_08:46:07/includes/api/ApiFormatJson.php(109): MWExceptionHandler::handleError(8, 'Undefined index...', '/srv/mediawiki/...', 109, Array)
#1 /srv/mediawiki/tags/2015-04-18_08:46:07/includes/api/ApiMain.php(1237): ApiFormatJson->execute()
#2 /srv/mediawiki/tags/2015-04-18_08:46:07/includes/api/ApiMain.php(1095): ApiMain->printResult(false)
#3 /srv/mediawiki/tags/2015-04-18_08:46:07/includes/api/ApiMain.php(436): ApiMain->executeAction()
#4 /srv/mediawiki/tags/2015-04-18_08:46:07/includes/api/ApiMain.php(409): ApiMain->executeActionWithErrorHandling()
#5 /srv/mediawiki/tags/2015-04-10_10:04:17/api.php(90): ApiMain->execute()
#6 {main}
2015-04-18 14:58:09 translatewiki.net translatewiki_net-bw_: [c606a161] /w/api.php?action=query&meta=siteinfo&siprop=namespaces&format=rawfm ErrorException from line 43 of /srv/mediawiki/tags/2015-04-18_08:46:07/includes/api/ApiFormatJson.php: PHP Notice: Undefined index: callback
#0 /srv/mediawiki/tags/2015-04-18_08:46:07/includes/api/ApiFormatJson.php(43): MWExceptionHandler::handleError(8, 'Undefined index...', '/srv/mediawiki/...', 43, Array)
#1 /srv/mediawiki/tags/2015-04-18_08:46:07/includes/api/ApiFormatBase.php(144): ApiFormatJson->getMimeType()
#2 /srv/mediawiki/tags/2015-04-18_08:46:07/includes/api/ApiMain.php(1238): ApiFormatBase->closePrinter()
#3 /srv/mediawiki/tags/2015-04-18_08:46:07/includes/api/ApiMain.php(1095): ApiMain->printResult(false)
#4 /srv/mediawiki/tags/2015-04-18_08:46:07/includes/api/ApiMain.php(436): ApiMain->executeAction()
#5 /srv/mediawiki/tags/2015-04-18_08:46:07/includes/api/ApiMain.php(409): ApiMain->executeActionWithErrorHandling()
#6 /srv/mediawiki/tags/2015-04-10_10:04:17/api.php(90): ApiMain->execute()
#7 {main}

Event Timeline

Nikerabbit raised the priority of this task from to Needs Triage.
Nikerabbit updated the task description. (Show Details)
Nikerabbit added a subscriber: Nikerabbit.
Aklapper triaged this task as Medium priority.Apr 20 2015, 9:47 AM

Change 205251 had a related patch set uploaded (by Anomie):
API: Avoid warnings for parameters that don't exist in format=rawfm

https://gerrit.wikimedia.org/r/205251

Change 205251 merged by jenkins-bot:
API: Avoid warnings for parameters that don't exist in format=rawfm

https://gerrit.wikimedia.org/r/205251

Anomie claimed this task.

Change 205711 had a related patch set uploaded (by Legoktm):
API: Avoid warnings for parameters that don't exist in format=rawfm

https://gerrit.wikimedia.org/r/205711

Change 205711 merged by jenkins-bot:
API: Avoid warnings for parameters that don't exist in format=rawfm

https://gerrit.wikimedia.org/r/205711